com.sun.jna.platform.win32

## Class WinDef.HWND

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WinNT.HANDLE
    - - com.sun.jna.platform.win32.WinDef.HWND

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WinDef

      public static class WinDef.HWND
      extends WinNT.HANDLE

  Handle to a window.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinDef.HWND()` Instantiates a new hwnd.
    `WinDef.HWND(Pointer p)` Instantiates a new hwnd.

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

      `fromNative, setPointer`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, getPointer, hashCode, nativeType, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WinDef.HWND

          public WinDef.HWND()

      Instantiates a new hwnd.

    - #### WinDef.HWND

          public WinDef.HWND(Pointer p)

      Instantiates a new hwnd.
      Parameters:
        `p` - the p

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.